com.genesyslab.wfm8.API.service.forecast810

## Class FrcDataParameters

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcDataParameters

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcDataParameters
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `growthPercentage` Growth %: 0-99% = a decreased percentage, 101+% = an increased percentage
    `protected double` | `initialQueue` Initial Queue
    `protected double` | `iot` Indirectly Occupied Time %
    `protected double` | `nonWorkOverhead` Non-working Overhead %
    `protected double` | `periodStart` Period start date and time
    `private static long` | `serialVersionUID`
    `protected double` | `workOverhead` Working Overhead %

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcDataParameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getGrowthPercentage()` Gets the growthPercentage value for this FrcDataParameters.
    `double` | `getInitialQueue()` Gets the initialQueue value for this FrcDataParameters.
    `double` | `getIOT()` Gets the iot value for this FrcDataParameters.
    `double` | `getNonWorkOverhead()` Gets the nonWorkOverhead value for this FrcDataParameters.
    `double` | `getPeriodStart()` Gets the periodStart value for this FrcDataParameters.
    `double` | `getWorkOverhead()` Gets the workOverhead value for this FrcDataParameters.
    `int` | `hashCode()`
    `void` | `setGrowthPercentage(double growthPercentage)` Sets the growthPercentage value for this FrcDataParameters.
    `void` | `setInitialQueue(double initialQueue)` Sets the initialQueue value for this FrcDataParameters.
    `void` | `setIOT(double iot)` Sets the iot value for this FrcDataParameters.
    `void` | `setNonWorkOverhead(double nonWorkOverhead)` Sets the nonWorkOverhead value for this FrcDataParameters.
    `void` | `setPeriodStart(double periodStart)` Sets the periodStart value for this FrcDataParameters.
    `void` | `setWorkOverhead(double workOverhead)` Sets the workOverhead value for this FrcDataParameters.
    `java.lang.String` | `toString()`
    `FrcDataParameters` | `withGrowthPercentage(double value)`
    `FrcDataParameters` | `withInitialQueue(double value)`
    `FrcDataParameters` | `withIOT(double value)`
    `FrcDataParameters` | `withNonWorkOverhead(double value)`
    `FrcDataParameters` | `withPeriodStart(double value)`
    `FrcDataParameters` | `withWorkOverhead(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### periodStart

          protected double periodStart

      Period start date and time

    - #### growthPercentage

          protected double growthPercentage

      Growth %: 0-99% = a decreased percentage, 101+% = an increased percentage

    - #### initialQueue

          protected double initialQueue

      Initial Queue

    - #### iot

          protected double iot

      Indirectly Occupied Time %

    - #### workOverhead

          protected double workOverhead

      Working Overhead %

    - #### nonWorkOverhead

          protected double nonWorkOverhead

      Non-working Overhead %

  - ### Constructor Detail

    - #### FrcDataParameters

          public FrcDataParameters()

  - ### Method Detail

    - #### getPeriodStart

          public double getPeriodStart()

      Gets the periodStart value for this FrcDataParameters.
      Returns:
        periodStart Period start date and time

    - #### setGrowthPercentage

          public void setGrowthPercentage(double growthPercentage)

      Sets the growthPercentage value for this FrcDataParameters.
      Parameters:
        `growthPercentage` - Growth %

    - #### getGrowthPercentage

          public double getGrowthPercentage()

      Gets the growthPercentage value for this FrcDataParameters.
      Returns:
        growthPercentage Growth %

    - #### setInitialQueue

          public void setInitialQueue(double initialQueue)

      Sets the initialQueue value for this FrcDataParameters.
      Parameters:
        `initialQueue` -

    - #### getInitialQueue

          public double getInitialQueue()

      Gets the initialQueue value for this FrcDataParameters.
      Returns:
        initialQueue

    - #### setPeriodStart

          public void setPeriodStart(double periodStart)

      Sets the periodStart value for this FrcDataParameters.
      Parameters:
        `periodStart` - Period start date and time

    - #### getIOT

          public double getIOT()

      Gets the iot value for this FrcDataParameters.
      Returns:
        iot Indirectly Occupied Time percentage value

    - #### setIOT

          public void setIOT(double iot)

      Sets the iot value for this FrcDataParameters.
      Parameters:
        `iot` - Indirectly Occupied Time percentage value

    - #### getWorkOverhead

          public double getWorkOverhead()

      Gets the workOverhead value for this FrcDataParameters.
      Returns:
        workOverhead Working Overhead percentage value

    - #### setWorkOverhead

          public void setWorkOverhead(double workOverhead)

      Sets the workOverhead value for this FrcDataParameters.
      Parameters:
        `workOverhead` - Working Overhead percentage value

    - #### getNonWorkOverhead

          public double getNonWorkOverhead()

      Gets the nonWorkOverhead value for this FrcDataParameters.
      Returns:
        nonWorkOverhead Non-Working Overhead percentage value

    - #### setNonWorkOverhead

          public void setNonWorkOverhead(double nonWorkOverhead)

      Sets the nonWorkOverhead value for this FrcDataParameters.
      Parameters:
        `nonWorkOverhead` - Non-Working Overhead percentage value

    - #### withGrowthPercentage

          public FrcDataParameters withGrowthPercentage(double value)

    - #### withIOT

          public FrcDataParameters withIOT(double value)

    - #### withNonWorkOverhead

          public FrcDataParameters withNonWorkOverhead(double value)

    - #### withPeriodStart

          public FrcDataParameters withPeriodStart(double value)

    - #### withWorkOverhead

          public FrcDataParameters withWorkOverhead(double value)

    - #### withInitialQueue

          public FrcDataParameters withInitialQueue(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.